import { SlatePlugin, SPEditor, TDescendant, WithOverride } from '@udecode/slate-plugins-core';
import { ReactEditor } from 'slate-react';
export interface WithDeserializeHTMLOptions<T extends SPEditor = SPEditor & ReactEditor> {
    plugins?: SlatePlugin<T>[];
    /**
     * Function called to cleanup and insert the deserialized html.
     * Default: if the block above is empty and the first fragment node type is not inline,
     * set the selected node type to the first fragment node type.
     * Then call Transforms.insertFragment.
     */
    insert?: (editor: T, fragment: TDescendant[]) => void;
    /**
     * Function called to get a custom fragment root.
     * Default: fragment.
     */
    getFragment?: (editor: T, fragment: TDescendant[]) => TDescendant[];
}
/**
 * Enables support for deserializing inserted content from HTML format to Slate format.
 */
export declare const withDeserializeHTML: <T extends ReactEditor & SPEditor = ReactEditor & SPEditor>({ plugins, ...options }?: WithDeserializeHTMLOptions<T>) => WithOverride<T, {}>;
/**
 * @see {@link withDeserializeHTML}
 */
export declare const createDeserializeHTMLPlugin: (options_0?: WithDeserializeHTMLOptions<ReactEditor & SPEditor> | undefined) => SlatePlugin<SPEditor>;
//# sourceMappingURL=createDeserializeHTMLPlugin.d.ts.map